summaryrefslogtreecommitdiff
path: root/Biz/Ide/hooks/reference-transaction.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Biz/Ide/hooks/reference-transaction.sh')
-rwxr-xr-xBiz/Ide/hooks/reference-transaction.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/Biz/Ide/hooks/reference-transaction.sh b/Biz/Ide/hooks/reference-transaction.sh
new file mode 100755
index 0000000..ea0cce6
--- /dev/null
+++ b/Biz/Ide/hooks/reference-transaction.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+## START BRANCHLESS CONFIG
+
+# Avoid canceling the reference transaction in the case that `branchless` fails
+# for whatever reason.
+git branchless hook reference-transaction "$@" || (
+echo 'branchless: Failed to process reference transaction!'
+echo 'branchless: Some events (e.g. branch updates) may have been lost.'
+echo 'branchless: This is a bug. Please report it.'
+)
+
+## END BRANCHLESS CONFIG